Skip to main content

Supplier

Supplier provides access to the supplier resource. This is where all suppliers are held.

Example of a returned supplier object

{
"response": {
"Page": 1,
"PageCount": 1,
"RecordsSent": 1,
"RecordsFound": 1,
"Supplier": [
{
"Code": "KBHAV",
"Name": "Kishor + Bhavesh",
"Address1": "",
"Address2": "",
"Town": "",
"County": "",
"Postcode": "",
"Country_Code": "",
"Telephone": "",
"Fax": "",
"Email": "",
"Currency": "",
"Created_Date": "2014-11-26T00:00:00.000Z",
"Updated_Date": "2016-11-23T00:00:00.000Z",
"Discount": 0,
"Accounts_Ref": "",
"NL_Code": "00001",
"Settings": ""
}
]
}
}

Supplier Properties​

PropertyExampleDescription
Code"SEDM"Supplier code
Name"SEDMAN SHOES LTD"Supplier name
Address1"18 Main St"Address line 1
Address2"Hutton"Address line 2
Town"Cranswick"Town
County""County
Postcode"YO25 9QR"Postcode
Country_Code"GB"Country code
Telephone""Telephone number
Fax""Fax number
Email""Customer primary email address
Currency"GBP"Supplier currency
Created_Date"2014-11-26T00:00:00.000Z"Date the supplier record was created
Updated_Date"2016-11-23T00:00:00.000Z"Date the supplier record was last updated
Discount0General discount percentage
Accounts_Ref""Accounts reference (if linked to accounts package)
NL_Code""Accounts nominal ledger code default

Supplier Methods​

GET /api/supplier​

Returns all customers in the system .